Difference between revisions of "CrossOver"

From ArchWiki
Jump to: navigation, search
(Updated instructions to work with Crossover Office 9.0 Professional)
Line 1: Line 1:
{{Message_box|
 
id    = out of date|
 
backgroundcolor    = beige|
 
signalcolor    = beige|
 
signal    = [[Image:Tango-dialog-warning.png]]|
 
heading    = This article is out of date.|
 
message = It contains dated information.}}
 
 
{{stub}}
 
 
 
Crossover Office is a fork of [[wine]], aimed at users of Microsoft Office, and associated programs.
 
Crossover Office is a fork of [[wine]], aimed at users of Microsoft Office, and associated programs.
  
Line 16: Line 6:
  
 
==Crossover Office on Arch64==
 
==Crossover Office on Arch64==
To install Crossover office on Arch64, you need the linux32 wrapper and some 32bit emulation libraries:
+
To install Crossover office on Arch64, you need some 32bit emulation libraries (All of these may not be required anymore, I just installed all of them):
  
 
  pacman -S linux32 lib32-gcc lib32-glibc lib32-libxi lib32-zlib lib32-libsm
 
  pacman -S linux32 lib32-gcc lib32-glibc lib32-libxi lib32-zlib lib32-libsm
  
Then run the Crossover Office installer with the linux32 wrapper:
+
Set executable flag and login as root or use the superuser command (the Crossover install script doesn't like to be run in sudo):
  
  linux32 ./install-crossover-pro-5.0.3.sh
+
  chmod +x install-crossover-pro-9.0.0.sh && su
  
You need to use the linux32 wrapper to install and run Crossover applications as well:
+
All that is left is to run the installer:
  
  linux32 /opt/cxoffice/bin/cxsetup
+
  ./install-crossover-pro-9.0.0.sh

Revision as of 18:09, 4 April 2010

Crossover Office is a fork of wine, aimed at users of Microsoft Office, and associated programs.

Crossover Office allows you to use these windows-based programs under linux.

See http://www.codeweavers.com/ for more info.

Crossover Office on Arch64

To install Crossover office on Arch64, you need some 32bit emulation libraries (All of these may not be required anymore, I just installed all of them):

pacman -S linux32 lib32-gcc lib32-glibc lib32-libxi lib32-zlib lib32-libsm

Set executable flag and login as root or use the superuser command (the Crossover install script doesn't like to be run in sudo):

chmod +x install-crossover-pro-9.0.0.sh && su

All that is left is to run the installer:

./install-crossover-pro-9.0.0.sh